Pre-release — content may change.

Memberships

Query organization memberships

POST
/organization_memberships/query

Identical to GET /organization_memberships but accepts the filter set as a JSON request body instead of query-string parameters. Returns the same paginated index shape.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

include?string

Comma-separated list of relationships to include. Allowed values are resource-specific; consult the operation for the allowlist.

sort?string

Comma-separated list of attributes to sort by. Prefix with - for descending order (-created_at,family_name).

page?

Offset pagination parameters.

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Filter predicates on organization-membership attributes, keyed the same way as the filter query parameter on GET /organization_memberships (e.g. { "filter": { "ends_at_gteq": "2026-01-01" } }).

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/organization_memberships/query" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "type": "organization_memberships",      "attributes": {        "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",        "starts_at": "2019-08-24T14:15:22Z",        "ends_at": "2019-08-24T14:15:22Z",        "expires_at": "2019-08-24T14:15:22Z",        "grace_period_days": 0,        "in_grace": true,        "status": "string",        "active": true,        "max_assignments": 0,        "active_assignments_count": 0,        "unlimited_assignments": true,        "data": {},        "external_id": "string",        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z",        "deleted_at": "2019-08-24T14:15:22Z",        "is_cascadeable": true,        "cascade_type": "string",        "cascadeable_resource_types": [          "string"        ],        "membership_category": "string"      },      "relationships": {        "membership": {          "data": {            "type": "memberships",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          },          "links": {            "self": "/organization_memberships/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/membership",            "related": "/organization_memberships/7247ad7d-9275-454b-9e3a-0570e403739e/membership"          }        },        "organization": {          "data": {            "type": "organizations",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          },          "links": {            "self": "/organization_memberships/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/organization",            "related": "/organization_memberships/7247ad7d-9275-454b-9e3a-0570e403739e/organization"          }        },        "fusebill_subscription": {          "data": {            "type": "fusebill_subscriptions",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          },          "links": {            "self": "/organization_memberships/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/fusebill_subscription",            "related": "/organization_memberships/7247ad7d-9275-454b-9e3a-0570e403739e/fusebill_subscription"          }        },        "owner": {          "data": {            "type": "people",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          },          "links": {            "self": "/organization_memberships/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/owner",            "related": "/organization_memberships/7247ad7d-9275-454b-9e3a-0570e403739e/owner"          }        },        "previous_membership_entry": {          "data": {            "type": "organization_memberships",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          },          "links": {            "self": "/organization_memberships/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/previous_membership_entry",            "related": "/organization_memberships/7247ad7d-9275-454b-9e3a-0570e403739e/previous_membership_entry"          }        },        "next_membership_entry": {          "data": {            "type": "organization_memberships",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"          },          "links": {            "self": "/organization_memberships/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/next_membership_entry",            "related": "/organization_memberships/7247ad7d-9275-454b-9e3a-0570e403739e/next_membership_entry"          }        }      },      "links": {        "self": "/organization_memberships/7247ad7d-9275-454b-9e3a-0570e403739e"      }    }  ],  "meta": {    "page": {      "total_items": 0,      "total_pages": 0,      "number": 0,      "size": 0    }  }}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}